org.springframework.web.socket.config.annotation

## Interface WebSocketHandlerRegistry

All Known Implementing Classes:
  ServletWebSocketHandlerRegistry

    public interface WebSocketHandlerRegistry

Provides methods for configuring `WebSocketHandler` request mappings.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`WebSocketHandlerRegistration` `addHandler(WebSocketHandler webSocketHandler, String... paths)` Configure a WebSocketHandler at the specified URL paths.

### Method Detail

#### addHandler

    WebSocketHandlerRegistration addHandler(WebSocketHandler webSocketHandler,
                                            String... paths)

Configure a WebSocketHandler at the specified URL paths.